/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMINSPECCIONARCHIVO")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarminspeccionarchivo.findAll", query = "SELECT t FROM Tarminspeccionarchivo t"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByCinsparch", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.cinsparch = :cinsparch"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByDescripcion", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.descripcion = :descripcion"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByXpath", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.xpath = :xpath"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByXpathoriginal", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.xpathoriginal = :xpathoriginal"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByObservacion", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.observacion = :observacion"),
    @NamedQuery(name = "Tarminspeccionarchivo.findByUsuariocambio", query = "SELECT t FROM Tarminspeccionarchivo t WHERE t.usuariocambio = :usuariocambio")})
public class Tarminspeccionarchivo implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CINSPARCH")
    private Long cinsparch;
    @Column(name = "DESCRIPCION")
    private String descripcion;
    @Column(name = "XPATH")
    private String xpath;
    @Column(name = "XPATHORIGINAL")
    private String xpathoriginal;
    @Column(name = "OBSERVACION")
    private String observacion;
    @Column(name = "USUARIOCAMBIO")
    private String usuariocambio;
    @JoinColumn(name = "CINSPECCION", referencedColumnName = "CINSPECCION")
    @ManyToOne
    private Tarminspeccion cinspeccion;

    public Tarminspeccionarchivo() {
    }

    public Tarminspeccionarchivo(Long cinsparch) {
        this.cinsparch = cinsparch;
    }

    public Long getCinsparch() {
        return cinsparch;
    }

    public void setCinsparch(Long cinsparch) {
        this.cinsparch = cinsparch;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getXpath() {
        return xpath;
    }

    public void setXpath(String xpath) {
        this.xpath = xpath;
    }

    public String getXpathoriginal() {
        return xpathoriginal;
    }

    public void setXpathoriginal(String xpathoriginal) {
        this.xpathoriginal = xpathoriginal;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public String getUsuariocambio() {
        return usuariocambio;
    }

    public void setUsuariocambio(String usuariocambio) {
        this.usuariocambio = usuariocambio;
    }

    public Tarminspeccion getCinspeccion() {
        return cinspeccion;
    }

    public void setCinspeccion(Tarminspeccion cinspeccion) {
        this.cinspeccion = cinspeccion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cinsparch != null ? cinsparch.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarminspeccionarchivo)) {
            return false;
        }
        Tarminspeccionarchivo other = (Tarminspeccionarchivo) object;
        if ((this.cinsparch == null && other.cinsparch != null) || (this.cinsparch != null && !this.cinsparch.equals(other.cinsparch))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarminspeccionarchivo[ cinsparch=" + cinsparch + " ]";
    }
    
}
